Bug 459334 - selinux prevents printer working
selinux prevents printer working
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-16 13:23 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 07:16:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-08-16 13:23:46 EDT
host=gelk.kernelslacker.org type=AVC msg=audit(1218907139.658:5476): avc: denied { getattr } for pid=15720 comm="udevinfo" path="/dev/.udev/db/\x2fdevices\x2fvirtual\x2fmisc\x2ftun" dev=tmpfs ino=4082252 scontext=unconfined_u:system_r:hald_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file host=gelk.kernelslacker.org type=SYSCALL msg=audit(1218907139.658:5476): arch=c000003e syscall=6 success=no exit=-13 a0=7fff54d20dc0 a1=7fff54d20b10 a2=7fff54d20b10 a3=1c items=0 ppid=15701 pid=15720 auid=500 uid=68 gid=68 euid=68 suid=68 fsuid=68 egid=68 sgid=68 fsgid=68 tty=(none) ses=882 comm="udevinfo" exe="/sbin/udevadm" subj=unconfined_u:system_r:hald_t:s0 key=(null) 

host=gelk.kernelslacker.org type=AVC msg=audit(1218907206.934:5480): avc: denied { read } for pid=15933 comm="udevinfo" name="\x2fdevices\x2fpci0000:00\x2f0000:00:1d.1\x2fusb3\x2f3-2\x2f3-2:1.0\x2fusb\x2flp0" dev=tmpfs ino=4089795 scontext=unconfined_u:system_r:hald_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file host=gelk.kernelslacker.org type=SYSCALL msg=audit(1218907206.934:5480): arch=c000003e syscall=2 success=yes exit=7 a0=7fff144d1570 a1=0 a2=7fff144d1358 a3=1a items=0 ppid=15915 pid=15933 auid=500 uid=68 gid=68 euid=68 suid=68 fsuid=68 egid=68 sgid=68 fsgid=68 tty=(none) ses=882 comm="udevinfo" exe="/sbin/udevadm" subj=unconfined_u:system_r:hald_t:s0 key=(null)
Comment 1 Daniel Walsh 2008-08-18 06:54:10 EDT
The problem here is the file got created with the incorrect context.

 matchpathcon /dev/.udev/db/\x2fdevices\x2fvirtual\x2fmisc\x2ftun
/dev/.udev/db/x2fdevicesx2fvirtualx2fmiscx2ftun	system_u:object_r:udev_tbl_t:s0


If you run restorecon -R -v /dev/.udev

the printer should work.

What process created the file?
Comment 2 Dave Jones 2008-08-18 10:36:30 EDT
udev I expect.
Comment 3 Harald Hoyer 2008-09-02 10:03:40 EDT
why should this special file be different than the others? strange.
Comment 4 Harald Hoyer 2009-01-20 06:46:03 EST
is this still a problem?
Comment 5 Daniel Walsh 2009-01-20 10:52:19 EST
The file should be the same.  The question is why is it different?  I do not know if this is still a problem?
Comment 6 Bug Zapper 2009-06-09 22:29:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Daniel Walsh 2009-06-10 07:16:55 EDT
I am closing this since we did not know if it was a problem 6 months ago.

Note You need to log in before you can comment on or make changes to this bug.